Modify

Opened 5 months ago

Closed 2 months ago

#15940 closed defect (fixed)

Landsat not working

Reported by: jidanni Owned by: team
Priority: normal Milestone: 18.05
Component: External imagery source Version:
Keywords: landsat wmts Cc: wiktorn, bastiK, stoecker

Attachments (0)

Change History (24)

comment:1 Changed 5 months ago by Klumbumbus

Component: CoreExternal imagery source

Either it is temporary or permanent inavailable or the URL changed. I dind't find anything about it in the web except a german forum thread without real answer.

comment:2 Changed 5 months ago by Don-vip

Keywords: landsat added

comment:3 Changed 5 months ago by Don-vip

2018-02-17 14:11:14.803 INFO: GET http://irs.gis-lab.info/?layers=landsat&SRS=EPSG:3857&WIDTH=512&HEIGHT=512&BBOX=-122300.1011892,6980841.4803892,-117408.1315892,6985733.4499892 -> !!!
2018-02-17 14:11:14.807 WARNING: java.net.SocketTimeoutException: connect timed out
java.net.SocketTimeoutException: connect timed out

comment:4 Changed 5 months ago by Don-vip

We could use following WMTS layer:
https://gibs.earthdata.nasa.gov/wmts/epsg3857/best/1.0.0/WMTSCapabilities.xml

<Layer>
    <ows:Title xml:lang="en">Surface Reflectance (NBAR, True Color, Global, Annual, v3.0, Landsat / WELD)</ows:Title>
    <ows:WGS84BoundingBox crs="urn:ogc:def:crs:OGC:2:84">
        <ows:LowerCorner>-180 -85.051129</ows:LowerCorner>
        <ows:UpperCorner>180 85.051129</ows:UpperCorner>
    </ows:WGS84BoundingBox>
    <ows:BoundingBox crs="urn:ogc:def:crs:EPSG::3857">
        <ows:LowerCorner>-20037508.34278925 -20037508.34278925</ows:LowerCorner>
        <ows:UpperCorner>20037508.34278925 20037508.34278925</ows:UpperCorner>
    </ows:BoundingBox>
    <ows:Identifier>Landsat_WELD_CorrectedReflectance_TrueColor_Global_Annual</ows:Identifier>
    <Style isDefault="true">
        <ows:Title xml:lang="en">default</ows:Title>
        <ows:Identifier>default</ows:Identifier>
    </Style>
    <Format>image/jpeg</Format>
    <Dimension>
        <ows:Identifier>time</ows:Identifier>
        <ows:UOM>ISO8601</ows:UOM>
        <Default>2010-12-01</Default>
        <Current>false</Current>
        <Value>2008-12-01/2010-12-01/P1Y</Value>
    </Dimension>
    <TileMatrixSetLink>
        <TileMatrixSet>GoogleMapsCompatible_Level12</TileMatrixSet>
    </TileMatrixSetLink>
    <ResourceURL format="image/jpeg" resourceType="tile" template="https://gibs.earthdata.nasa.gov/wmts/epsg3857/best/Landsat_WELD_CorrectedReflectance_TrueColor_Global_Annual/default/{Time}/{TileMatrixSet}/{TileMatrix}/{TileRow}/{TileCol}.jpg"/>
</Layer>

But for that we need to handle the Time dimension.

Last edited 5 months ago by Don-vip (previous) (diff)

comment:5 Changed 5 months ago by Don-vip

Milestone: 18.02

comment:6 Changed 5 months ago by Don-vip

In 13429/josm:

see #15940 - allow to sort WMTS entries

comment:7 Changed 5 months ago by Don-vip

In 13439/josm:

see #15940 - WMTS: case-insensitive matching of dimensions + fix typo

comment:8 Changed 5 months ago by Don-vip

Cc: wiktorn added

@wiktorn: the NASA WMTS server contains several dozens of layers. Can we reference in Maps a single WMTS layer?

comment:9 Changed 5 months ago by wiktorn

No, not yet :-(

comment:10 Changed 5 months ago by Don-vip

Cc: bastiK stoecker added

OK. Maybe we should simply remove the Landsat entry then... It is not so useful anymore with its low resolution and the plenty of high-resolution imagery available today.

comment:11 Changed 5 months ago by jidanni

OK but it would be a pity as some people might be using JOSM for viewing
environmental damage in rescue areas.

Narrowing the focus of the use of JOSM to only make zoomed in edits would be a pity.

Also "The news media might wonder why 'OSM removed Landsat, the world's No. 1...'".
"Was it a copyright violation?" reporters asked. "No...""

Last edited 5 months ago by jidanni (previous) (diff)

comment:12 Changed 5 months ago by Don-vip

Keywords: wmts added

comment:13 Changed 5 months ago by Don-vip

Milestone: 18.02

comment:14 Changed 4 months ago by stoecker

comment:15 in reply to:  14 ; Changed 4 months ago by Klumbumbus

Replying to stoecker:

Disabled: wiki:Maps?action=diff&version=525

while it is not listed at wiki:Maps/Worldwide it is listed at wiki:Maps

comment:16 in reply to:  15 Changed 4 months ago by stoecker

Replying to Klumbumbus:

Replying to stoecker:

Disabled: wiki:Maps?action=diff&version=525

while it is not listed at wiki:Maps/Worldwide it is listed at wiki:Maps

Fixed. The macro MapsIndex does not list commented entries anymore.

comment:17 in reply to:  8 Changed 4 months ago by stoecker

Replying to Don-vip:

@wiktorn: the NASA WMTS server contains several dozens of layers. Can we reference in Maps a single WMTS layer?

Why not? As an TMS entry?

comment:18 Changed 2 months ago by wiktorn

In 13733/josm:

Imagery definition refactor

Extend imagery definitions by:

  • allowing setting default layers for WMS_ENDPOINT and WMTS
  • allowing setting minimum expires time for tile for this imagery
  • allowing setting custom headers that will be sent for all requests

(get map, get capabilities) for this imagery

Additional changes in code:

  • use TileJobOptions to pass miscellaneous options to loaders
  • refactor WMSImagery to use SAX parser

See: #15981, #7953, #16224, #15940, #16249

comment:19 Changed 2 months ago by wiktorn

In 13734/josm:

GUI for imagery definitions refactor

Extend preferences panel by:

  • allowing setting default layers for WMS / WMTS
  • allowing setting minimum expires (expert mode)
  • allowing setting custom headers (expert mode)

See: #15981, #7953, #16224, #15940, #16249

comment:20 Changed 2 months ago by Don-vip

Milestone: 18.05

comment:21 Changed 2 months ago by Don-vip

@wiktorn how do I define Landsat entry? I tried this:

    <entry>
        <name>Landsat</name>
        <id>landsat</id>
        <type>wmts</type>
        <url>https://gibs.earthdata.nasa.gov/wmts/epsg3857/best/1.0.0/WMTSCapabilities.xml</url>
        <icon>data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQAgMAAABinRfyAAAADFBMVEUTPmdaXSdnXUmdcyo9AbYLAAAAFklEQVQI12NYtYqBgYEI4v//0FAiCAA8TB/hMzHkwAAAAABJRU5ErkJggg==</icon>
        <projections>
            <code>EPSG:3857</code>
        </projections>
        <default-layers>
            <layer name="Landsat_WELD_CorrectedReflectance_TrueColor_Global_Annual" style="default" tileMatrixSet="GoogleMapsCompatible_Level12"/>
        </default-layers>
    </entry>

but when enabling the layer I get the WMTS layer selection dialog.

comment:22 Changed 2 months ago by wiktorn

It is defined in xsd and in code as defaultLayers not default-layers. I'll fix the style so it will be default-layers

comment:23 Changed 2 months ago by wiktorn

In 13757/josm:

Change camelCase to hyphen-case for imagery attributes

See: #16249, #15940

comment:24 Changed 2 months ago by Don-vip

Resolution: fixed
Status: newclosed

Thanks! Landsat entry fixed.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.